Skip to main content
GET
/
api
/
v1
/
files
/
browser
Browse files by directory
curl --request GET \
  --url https://neo.api.projectdiscovery.io/api/v1/files/browser \
  --header 'Authorization: Bearer <token>'
{
  "error": "<string>",
  "files": [
    {
      "is_directory": true,
      "key": "<string>"
    }
  ],
  "next_cursor": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.neo.projectdiscovery.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT authentication token

Query Parameters

page_size
integer
default:100
Required range: 1 <= x <= 1000
cursor
string
directory
string

Directory to browse within workspace

type
enum<string>

Filter by type

Available options:
directory,
file
project_id
string<uuid>

Optional project ID for project-scoped sandbox files

Response

Directory listing

error
string
files
object[]
next_cursor
string